Bug 868874 - The "rewrite-endpoint-url" property of SOAPProcessor doesn't work for HTTP Gateway
Summary: The "rewrite-endpoint-url" property of SOAPProcessor doesn't work for HTTP Ga...
Status: VERIFIED
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: 5.3.1
Assignee: kconner
QA Contact: Jiri Pechanec
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-22 10:49 UTC by Tadayoshi Sato
Modified: 2018-11-29 19:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Users experienced problems when specifying an endpoint URL while using the SOAPProcessor with HTTP Gateway. After setting the rewrite-endpoint-url to "false", the URL would persistently be overwritten and replaced with the original JBoss ESB URL. This was due to the Publisher not initialising with the Gateway. This has been resolved in the current release.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3868 Major Closed The "rewrite-endpoint-url" property of SOAPProcessor doesn't work for HTTP Gateway 2013-03-15 17:24:13 UTC

Description Tadayoshi Sato 2012-10-22 10:49:52 UTC
Description of problem:
Platform BZ for https://issues.jboss.org/browse/JBESB-3868

When I use SOAPProcessor with HTTP Gateway, even setting the "rewrite-endpoint-url" property to false results in the endpoint URL in the published WSDL rewritten from the original one to that of the ESB.

Note that with JBR Gateway (using HTTP protocol), this property can turn off the endpoint URL rewriting.


How reproducible:
Easy.

Steps to Reproduce:
1. Pick up the "webservice_producer" quickstart and modify it to use HTTP Gateway.
2. Add the "rewrite-endpoint-url" property with false to the SOAPProcessor in the action pipeline.
3. Deploy this quickstart and confirm the endpoint URL in WSDL is rewritten through the contract web.
  
Actual results:
The endpoint URL in WSDL is rewritten.

Expected results:
The endpoint URL in WSDL shouldn't be rewritten.

Comment 1 JBoss JIRA Server 2012-10-23 02:23:28 UTC
Tadayoshi Sato <tadayosi@gmail.com> made a comment on jira JBESB-3868

The root cause I found is: JBossWSWebserviceContractPublisher (a publisher for SOAPProcessor) has two instances, one for ContractProvider (HTTP Gateway) and the other for Publisher (Contract Web / JBR Gateway). But only the instance for Publisher initialises the {{rewriteEndpointUrl}} field. That's why it doesn't work only for HTTP Gateway.

Comment 2 JBoss JIRA Server 2012-10-26 01:02:52 UTC
Tadayoshi Sato <tadayosi@gmail.com> updated the status of jira JBESB-3868 to Resolved

Comment 3 Jiri Pechanec 2012-11-14 09:03:22 UTC
Verified in ER1

Comment 4 JBoss JIRA Server 2013-03-15 17:24:13 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3868 to Closed


Note You need to log in before you can comment on or make changes to this bug.